%global momorel 1

Summary: Utilities to generate, maintain and access the AppStream Xapian database 
Name:    appstream
Version: 0.7.1
Release: %{momorel}m%{?dist}
Group:	   Development/Tools
# lib LGPLv2+, tools GPLv2+
License: GPLv2+ and LGPLv2+
URL:     http://www.freedesktop.org/wiki/Distributions/AppStream/Software
Source0: http://www.freedesktop.org/software/appstream/releases/AppStream-%{version}.tar.xz
NoSource: 0

## upstream patches
Patch5: 0005-Ensure-that-we-do-not-convert-NULL-to-a-C-string.patch
Patch6: 0006-Remove-the-PackageKit-plugin.patch

## upstreamable patches

BuildRequires: cmake
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: pkgconfig(gio-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(packagekit-glib2)
BuildRequires: pkgconfig(QtCore)
BuildRequires: libyaml-devel >= 0.1.6
BuildRequires: xapian-core-devel
BuildRequires: xmlto

Requires: appstream-data

%description
AppStream-Core makes it easy to access application information from the
AppStream database over a nice GObject-based interface.

%package devel
Summary:  Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%package qt
Summary: Qt bindings for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description qt
%{summary}.

%package qt-devel
Summary:  Development files for %{name}-qt bindings
Requires: %{name}-qt%{?_isa} = %{version}-%{release}
# until when/if this grows pkgconfig support and the dep is handled automatically
Requires: pkgconfig(QtCore)
%description qt-devel
%{summary}.

%package vala
Summary: Vala bindings for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
BuildRequires: vala-tools
Requires: vala
%description vala
%{summary}.


%prep
%setup -n AppStream-%{version}
%patch5 -p1
%patch6 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} \
  -DQT:BOOL=ON \
  -DTESTS:BOOL=ON \
  -DVAPI:BOOL=ON \
  ..
popd

# parallel build currently fails
make -j1 -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

mkdir -p %{buildroot}%{_datadir}/app-info/{icons,xmls}
mkdir -p %{buildroot}/var/cache/app-info/{icons,xapian,xmls}
touch %{buildroot}/var/cache/app-info/cache.watch

%find_lang appstream


%check
# all/many tests currently fail, make non-fatal for now
make test -C %{_target_platform} ARGS="--output-on-failure --timeout 300" ||:


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%posttrans
## include this scriptlet *somewhere*, but only if it is safe and
## won't hang or take a long time, see
## https://bugzilla.redhat.com/1098306
%{_bindir}/appstream-index --refresh --force >& /dev/null ||:

%files -f appstream.lang
%doc AUTHORS
%doc LICENSE.GPLv2 LICENSE.LGPLv2.1
%config(noreplace) %{_sysconfdir}/appstream.conf
%{_bindir}/appstream-index
%{_bindir}/appstream-validate
%{_mandir}/man1/appstream-validate.1*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Appstream-0.7.typelib
%{_libdir}/libappstream.so.1*
%{_libdir}/libappstream.so.%{version}
%dir %{_datadir}/app-info/
%dir %{_datadir}/app-info/icons
%dir %{_datadir}/app-info/xmls
%{_datadir}/app-info/categories.xml
%ghost /var/cache/app-info/cache.watch
%dir /var/cache/app-info
%dir /var/cache/app-info/icons
%dir /var/cache/app-info/xapian
%dir /var/cache/app-info/xmls
%{_mandir}/man1/appstream-index.1*

%files devel
%{_includedir}/Appstream/
%{_libdir}/libappstream.so
%{_libdir}/pkgconfig/appstream.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Appstream-0.7.gir


%post qt -p /sbin/ldconfig
%postun qt -p /sbin/ldconfig

%files qt
%{_libdir}/libAppstreamQt.so.0*

%files qt-devel
%{_includedir}/AppstreamQt/
%{_libdir}/cmake/AppstreamQt/
%{_libdir}/libAppstreamQt.so

%files vala
%{_datadir}/vala/vapi/appstream.vapi


%changelog
* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.1-1m)
- import from fedora

